ru.bitel.bgbilling.modules.smarthouse.server.bean

## Class SmartHousePackageContractDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<SmartHousePackageContract>
      - - ru.bitel.bgbilling.modules.smarthouse.server.bean.SmartHousePackageContractDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class SmartHousePackageContractDao
      extends ru.bitel.common.dao.AbstractIdDao<SmartHousePackageContract>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmartHousePackageContractDao(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SmartHousePackageContract` | `getFromRS(java.sql.ResultSet rs)`
    `int[]` | `getNavigationIds(int contractId, int packageContractId)` находим ID пакетов на договоре, возращается массив из трех ID: предыдущего ID, заданный ID, следующий ID если packageContractId==0 ищем по текущей дате, или активный сейчас или будет активен в будущем или последний активный и от него берем следущий и предыдущий
    `void` | `searchContractPackages(SearchResult<SmartHousePackageContract> searchResult, int contractId)`
    `void` | `update(SmartHousePackageContract contractPackage)`
    `protected void` | `updateImpl(SmartHousePackageContract contractPackage)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SmartHousePackageContractDao

          public SmartHousePackageContractDao(java.sql.Connection con,
                                              int moduleId)

  - ### Method Detail

    - #### searchContractPackages

          public void searchContractPackages(SearchResult<SmartHousePackageContract> searchResult,
                                             int contractId)
                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected SmartHousePackageContract getFromRS(java.sql.ResultSet rs)
                                                 throws java.sql.SQLException,
                                                        ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<SmartHousePackageContract>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(SmartHousePackageContract contractPackage)
                      throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `update` in class `ru.bitel.common.dao.AbstractDao<SmartHousePackageContract>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getNavigationIds

          public int[] getNavigationIds(int contractId,
                                        int packageContractId)
                                 throws ru.bitel.bgbilling.common.BGException,
                                        ru.bitel.bgbilling.common.BGMessageException

      находим ID пакетов на договоре, возращается массив из трех ID: предыдущего ID, заданный ID, следующий ID если packageContractId==0 ищем по текущей дате, или активный сейчас или будет активен в будущем или последний активный и от него берем следущий и предыдущий
      Parameters:
        `contractId` -
        `packageContractId` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### updateImpl

          protected void updateImpl(SmartHousePackageContract contractPackage)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<SmartHousePackageContract>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`